Subject: Re: bug#32072: 27.0.50; clear-face-cache in an X frame breaks tty colors

From: Noam Postavsky <[email-masked]>
Date: Wed, 18 Jul 2018 21:39:45 -0400

found 32072 26.1
tags 32072 + confirmed
quit

Istvan Marko <[email-masked]> writes:

> I have done some more testing and found that 24-bit terminal frames are
> not affected, their colors remain intact after doing (clear-face-cache)
> in the X11 frame.

Hmm, interesting, I've bisected the problem to [1: e463e5762b].

[1: e463e5762b]: 2017-02-18 13:04:55 +0200
  Support 24-bit direct colors on text terminals
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=e463e5762bbe628be3d15da066a90f079a8468b3

> I have been planning to switch to 24-bit anyway so this is a good enough
> for me but let me know if it's worth trying to debug the 256 color case
> further.

It would be good not to break the 256 colour case, yes.  I've cc'd the
author of that 24 bit support, maybe they will have some more ideas.